*     JLdL 30Oct07.
*     
*     Copyright (C) 2007 by Jorge L. deLyra.
*     Mail: <delyra@latt.if.usp.br>. Web: "http://latt.if.usp.br".
*     This program may be copied and/or distributed freely. See the
*     _ terms and conditions in the files in the doc/ subdirectory.
*     
*     This is a Fortran header file, to be included in all Fortran
*     _ modules that use the Fortran interface library to the g2
*     _ graphics library.
*     
*     Declare all the non-void g2 interface functions.
      integer g2_ink_ctof
      integer g2_ld_ctof
      integer g2_open_epsf_clip_ctof
      integer g2_open_epsf_ctof
      integer g2_open_fig_ctof
      integer g2_open_gd_ctof
      integer g2_open_ps_ctof
      integer g2_open_vd_ctof
      integer g2_open_x11x_ctof
      integer g2_open_x11_ctof
*     
*     Define fixed parameters with names for the 27 so-called basic
*     _ colors which are predefined internally by the g2 function
*     _ g2_allocate_basic_colors(); this includes the 8 really basic
*     _ colors defined solely by the real RGB values 0.0 and 1.0:
*     _    black   = (0.0, 0.0, 0.0);
*     _    red     = (1.0, 0.0, 0.0);
*     _    green   = (0.0, 1.0, 0.0);
*     _    blue    = (0.0, 0.0, 1.0);
*     _    cyan    = (0.0, 1.0, 1.0);
*     _    magenta = (1.0, 0.0, 1.0);
*     _    yellow  = (1.0, 1.0, 0.0);
*     _    white   = (1.0, 1.0, 1.0);
*     _ these 27 default basic colors are defined by all the possible
*     _ combinations of the RGB values 0.0, 0.5 and 1.0; the names
*     _ below are taken from the standard X11 names of the closest
*     _ standard X11 color to each one of these g2 colors.
      parameter(
     *     ibc_white             =  0
     *     ,ibc_black            =  1
     *     ,ibc_navy             =  2
     *     ,ibc_blue             =  3
     *     ,ibc_green4           =  4
     *     ,ibc_turquoise4       =  5
     *     ,ibc_dodger_blue2     =  6
     *     ,ibc_green            =  7
     *     ,ibc_spring_green     =  8
     *     ,ibc_cyan             =  9
     *     ,ibc_red4             = 10
     *     ,ibc_magenta4         = 11
     *     ,ibc_dark_violet      = 12
     *     ,ibc_gold4            = 13
     *     ,ibc_gray49           = 14
     *     ,ibc_light_slate_blue = 15
     *     ,ibc_lawn_green       = 16
     *     ,ibc_pale_green2      = 17
     *     ,ibc_dark_slate_gray1 = 18
     *     ,ibc_red              = 19
     *     ,ibc_deep_pink2       = 20
     *     ,ibc_magenta          = 21
     *     ,ibc_dark_orange1     = 22
     *     ,ibc_salmon           = 23
     *     ,ibc_orchid1          = 24
     *     ,ibc_yellow           = 25
     *     ,ibc_khaki1           = 26
     *     )
*     
*     Define fixed parameters with the names of the
*     _ two possible paper orientations.
      parameter(
     *     ig2_ps_land  = 0
     *     ,ig2_ps_port = 1
     *     )
*     
*     Define fixed parameters with the names of the
*     _ 30 possible paper sizes.
      parameter(
     *     ig2_a0                =  0
     *     ,ig2_a1               =  1
     *     ,ig2_a2               =  2
     *     ,ig2_a3               =  3
     *     ,ig2_a4               =  4
     *     ,ig2_a5               =  5
     *     ,ig2_a6               =  6
     *     ,ig2_a7               =  7
     *     ,ig2_a8               =  8
     *     ,ig2_a9               =  9
     *     ,ig2_b0               = 10
     *     ,ig2_b1               = 11
     *     ,ig2_b2               = 12
     *     ,ig2_b3               = 13
     *     ,ig2_b4               = 14
     *     ,ig2_b5               = 15
     *     ,ig2_b6               = 16
     *     ,ig2_b7               = 17
     *     ,ig2_b8               = 18
     *     ,ig2_b9               = 19
     *     ,ig2_b10              = 20
     *     ,ig2_comm_10_envelope = 21
     *     ,ig2_c5_envelope      = 22
     *     ,ig2_dl_envelope      = 23
     *     ,ig2_folio            = 24
     *     ,ig2_executive        = 25
     *     ,ig2_letter           = 26
     *     ,ig2_legal            = 27
     *     ,ig2_ledger           = 28
     *     ,ig2_tabloid          = 29
     *     )
*     
*     Define fixed parameters with the names of the
*     _ two possible raster graphics formats.
      parameter(
     *     ig2_gd_jpeg = 0
     *     ,ig2_gd_png = 1
     *     )
*     
*     Define fixed parameters with the names of the
*     _ two possible shapes of "Quasi-Pixels".
      parameter(
     *     iqp_rect  = 0
     *     ,iqp_circ = 1
     *     )
